6.0.0-git
2019-03-20

[#6380] IMP / DIMP display problems with some HTML email
Summary IMP / DIMP display problems with some HTML email
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners
Requester liamr (at) umich (dot) edu
Created 2008-03-05 (4032 days ago)
Due
Updated 2008-04-10 (3996 days ago)
Assigned 2008-03-05 (4032 days ago)
Resolved 2008-04-10 (3996 days ago)
Milestone
Patch No

History
2008-04-10 15:54:13 Chuck Hagenbuch State ⇒ Resolved
 
2008-04-10 15:38:33 ziba (at) umich (dot) edu Comment #11 Reply to this comment
This messages renders fine for me using PHP 5.2.5 and imap-2006i.
Since none of the devs can duplicate, you will need to debug on your
own.
We tracked the problem down, and according to CVS so did you!  :)



http://marc.info/?l=horde-cvs&m=120607658204239&w=2



For the record, we were hitting PHP's pcre.backtrack_limit, new to PHP 
5.2, which fails silently.  Bad PHP.


2008-03-21 05:15:07 Michael Slusarz Comment #10
State ⇒ Not A Bug
Reply to this comment
This messages renders fine for me using PHP 5.2.5 and imap-2006i.   
Since none of the devs can duplicate, you will need to debug on your 
own.
2008-03-06 03:08:04 liamr (at) umich (dot) edu Comment #9 Reply to this comment
I tried removing tidy.  When it works, it works regardless of tidy 
being installed / enabled.


2008-03-06 02:41:46 Michael Slusarz Comment #8 Reply to this comment
As mentioned on the list, try disabling tidy if it is installed.
2008-03-06 01:52:13 liamr (at) umich (dot) edu Comment #7 Reply to this comment
I tried the imap extension from my PHP 5.2.5 build with 5.2.3, and the 
messages display properly.  What other change between 5.2.3 and 5.2.5 
could alter this behavior?
2008-03-06 01:37:11 liamr (at) umich (dot) edu Comment #6 Reply to this comment
I tried rebuilding it against IMAP 2006j, 2006h, and 2004g.  Didn't fix it.



I tried reverting to PHP 5.2.3, w/imap built against 2006-h, which did 
work.. so, I reinstalled 5.2.5, but kept the imap module from 5.2.3, 
which surprisingly, didn't work.



Any other ideas?
2008-03-06 00:51:38 liamr (at) umich (dot) edu Comment #5 Reply to this comment
The most recent release is 2007.  2007a-DEV is also available.  I've 
got a number of versions in my build tree, I'll rebuild it against 
something earlier.
2008-03-06 00:22:34 Jan Schneider Comment #4 Reply to this comment
I am running version 2004 since ages and never had problems with any 
message that users provided as being problematic. I am already 
considering my install as a reference system. ;-) But honestly, I 
would start with the most recent version first.
2008-03-06 00:05:38 liamr (at) umich (dot) edu Comment #3 Reply to this comment
Can you suggest a known good c-client version?
2008-03-05 23:54:53 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
The message renders fine for me in CVS HEAD. I bet that c-client can't 
parse the message for some reason.
2008-03-05 23:02:39 liamr (at) umich (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ IMP / DIMP display problems with some HTML email
Queue ⇒ IMP
New Attachment: test.eml Download
Reply to this comment
We've got some locally generated HTML email that isn't viewable in IMP

4.2RC2 / HEAD, or DIMP 1.0RC2 / HEAD (but is viewable in our currently 
deployed IMP 4.0.5).  Selecting the message brings up a blank message 
page (with all the headers and stuff, but no content).  We do see 
"Show this HTML in a new window?", and selecting that opens a new 
window with nothing in it.  "View source" in the message page, or the 
"new window" doesn't reveal the message text.   "Message Source" does 
reveal the text of the message, however.



No errors in the error log, nothing interesting in the horde log, and 
no core dumps.  PHP 5.2.5, IMAP 2007.



I've tried it both with the Tidy extension loaded and without.  The 
messages in question are multipart messages - HTML, with plain text 
alternatives.  The HTML portions have CSS embedded in them, rather 
than calling on external style sheets.

Saved Queries